Module jdk.compiler
Package com.sun.source.doctree

# Interface SystemPropertyTree

All Superinterfaces:
  `DocTree`, `InlineTagTree`

    public interface SystemPropertyTree
    extends InlineTagTree

A tree node for an `@systemProperty` inline tag.

{@systemProperty property-name}

Since:
  12

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Name` | `getPropertyName()` | Returns the specified system property name.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

### Methods declared in interface com.sun.source.doctree.InlineTagTree

`getTagName`

## Method Details

### getPropertyName

Name getPropertyName()
Returns the specified system property name.

Returns:
  the system property name